// creator  : weidu.exe (version 23100)
// argument : _WATCHM.DLG
// game		 : .
// source	 : ./override/_WATCHM.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_WATCHM~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #84925 /* ~It's awful late to be out and about citizen.  Why are you not at rest?~ */
  IF ~~ THEN REPLY #84926 /* ~'Ere boys!  The jig is up!  Make fer the dark!~ */ GOTO 3
  IF ~~ THEN REPLY #84927 /* ~No reason at all, sir.  I'll just be on my way then.~ */ GOTO 2
  IF ~~ THEN REPLY #84928 /* ~Thievery, sir!  There are miscreants burgling this very building!~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.2
  SAY #84929 /* ~Right then!  Thank you for the information, but you'd best be off home.  I'll take care of this lot.~ */
  IF ~~ THEN REPLY #84926 /* ~'Ere boys!  The jig is up!  Make fer the dark!~ */ EXIT
  IF ~~ THEN REPLY #84930 /* ~Right, I'm outta here.~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #84931 /* ~Best that you are.  What this then?  The De'Mallonblades be away on business.  Odd they would have left their door undone.  I'll just nip inside and make sure all is secure.~ */
  IF ~~ THEN REPLY #84926 /* ~'Ere boys!  The jig is up!  Make fer the dark!~ */ GOTO 3
  IF ~~ THEN REPLY #84930 /* ~Right, I'm outta here.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from: 2.0 0.0
  SAY #84932 /* ~What?!  Stand your ground you thief!  To arms!  To arms!~ */
  IF ~~ THEN DO ~SetGlobal("HostileWatch","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #84933 /* ~Halt!  I'll run you through you don't stop now!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #84934 /* ~To arms!  Thieves by the Sturgeon!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #84935 /* ~I'm just a member of the watch, it's not like I know much about the politics going on about the upper city.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #84936 /* ~Miscreant!  I'll have your neck!~ */
  IF ~~ THEN EXIT
END
